

fml8<-as.formula(PH2=="1"~Tibetan+Age+RAD+HVRV+IRBBB+AF+ST+TC+PP)

fml7<-as.formula(PH=="1"~Tibetan+Age+Gender+IRBBB+AF+ST+TC)


model8<-glm(fml8,data = dev,family = binomial(logit))

model7<-glm(fml7,data = dev,family = binomial(logit))

#在建模人群中计算预测值
dev$predmodel8 <- predict(newdata=dev,model8,"response")
dev$predmodel7 <- predict(newdata=dev,model7,"response")

View(dev)

#在验证人群计算预测值
vad$predmodel8<- predict(newdata=vad,model8,"response")
vad$predmodel7<- predict(newdata=vad,model7,"response")
View(vad)





install.packages("calibrate")
library(calibrate)
library(MASS)
install.packages("rms")
library(rms)


val.prob(dev$predmodel8,dev$PH2)
val.prob(dev$predmodel7,dev$PH)


val.prob(vad$predmodel8,vad$PH2)
val.prob(vad$predmodel7,vad$PH)


#在建模人群中进行Hosmer-Lemeshow test检验
source("HLtest.R") #一定要把HLtest.R放在之前设定的起始目录中。
hl.ext2(dev$predmodel8,dev$PH2)
hl.ext2(dev$predmodel7,dev$PH)


#在验证人群中进行Hosmer-Lemeshow test检验
source("HLtest.R") #一定要把HLtest.R放在之前设定的起始目录中。
hl.ext2(vad$predmodel8,vad$PH2)
hl.ext2(vad$predmodel7,vad$PH)


